<!-- Copyright (c) Vincent Dardel, <vindarez@mailz.org>,  Abelujo Developers-->
<!-- See the COPYRIGHT file at the top-level directory of this distribution-->
<!-- Abelujo is free software: you can redistribute it and/or modify-->
<!-- it under the terms of the GNU Affero General Public License as published by-->
<!-- the Free Software Foundation, either version 3 of the License, or-->
<!-- (at your option) any later version.-->
<!-- Abelujo is distributed in the hope that it will be useful,-->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of-->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the-->
<!-- GNU Affero General Public License for more details.-->
<!-- You should have received a copy of the GNU Affero General Public License-->
<!-- along with Abelujo.  If not, see <http://www.gnu.org/licenses/>.-->

{% extends "base.html" %}
{% block content %}
{% load bootstrap3 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load i18n %}
<span>
  <a href="{% url 'history_entries_month' previous_month %}">
    &larr; {% trans "Previous" %}
  </a>
  <span>&nbsp;
  </span>
  <a href="{% url 'history_entries_month' month_fmt %}">
    {{ day | date:'F' | title }}
  </a>
  <span>&nbsp; </span>
</span>

{% if  day.year < now.year or day.month < now.month %}<span>
  <a href="{% url 'history_entries_month' next_month %}">
    {% trans "Next" %} &rarr;
  </a>
</span>
{% endif %}

<div class="row">
  <div class="col-lg-10">
    <ul class="nav nav-tabs">
      <li role="presentation">
	<a href="{% url 'history_sells_day' day|date:'Y-m-d' %}">
	  {% trans "Sells" %}
	</a>

      </li>
      <li role="presentation" class="active">
	<a>
	  {% trans "Entries" %}
	</a>
      </li>
    </ul>
  </div>
</div>

<h1>
  {% trans "Entries" %} - {{ day | date:'l d F Y' | title }}
</h1>
<div class="row">
  <div class="col-md-3 panel panel-info">
    <div class="panel-heading">
      {% trans "Products received" %}
    </div>
    <div class="panel-body">
      {{ data.entries.count }} {% trans "products" %}
    </div>

  </div>
  <div class="col-md-3 panel panel-info">
    <div class="panel-heading">
      {% trans "Publishers" %}
    </div>
    <div>
      {{ publishers | join:', ' }}
    </div>

  </div>
  <div class="col-md-3 panel panel-info">
    <div class="panel-heading">
      {% trans "Shelves" %}
    </div>
    <div>
      {{ shelves | join:', ' }}
    </div>
  </div>

</div>
<table class="table table-striped">
  {% for it in data.entries %}
  <tr>
    <td>
      <a>
	{{ it.date }}
      </a>
      <a>
	{{ it.created }}
      </a>

    </td>
    <td>
      <a href="{{ it.card.get_absolute_url }}">{{ it.card.title }}</a>

    </td>
    <td>
      {{ it.card.pubs_repr }}
    </td>
    <td>
      {{ it.card.shelf }}
    </td>
    <td class="text-right">
      {{ it.card.price_fmt }}
    </td>

  </tr>
  {% endfor %}

</table>
{% endblock content %}
